version: '3'
services:
  cleanup:
    image: meltwater/docker-cleanup
    restart: always
    volumes:
      - /var/lib/docker:/var/lib/docker:rw
      - /var/run/docker.sock:/var/run/docker.sock:rw
    environment:
      - CLEAN_PERIOD=${CLEAN_PERIOD}
      - DELAY_TIME=${DELAY_TIME}
      - KEEP_IMAGES=${KEEP_IMAGES}
      - KEEP_CONTAINERS=${KEEP_CONTAINERS}
      - KEEP_CONTAINERS_NAMED=${KEEP_CONTAINERS_NAMED}
      - LOOP=${LOOP}
      - DEBUG=${DEBUG}
